Last Comment Bug 767897 - Change access key of joinChatMenuItem
: Change access key of joinChatMenuItem
Status: RESOLVED FIXED
[ux-papercut]
: polish, ux-consistency, ux-error-prevention
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: 14 Branch
: x86 Windows 7
: -- normal (vote)
: Thunderbird 19.0
Assigned To: :aceman
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 01:58 PDT by Onno Ekker [:nONoNonO UTC+1]
Modified: 2013-01-03 13:32 PST (History)
6 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
18+
fixed


Attachments
patch (1.23 KB, patch)
2012-10-22 12:44 PDT, :aceman
florian: review+
bwinton: ui‑review+
standard8: approval‑comm‑esr17+
Details | Diff | Splinter Review

Description Onno Ekker [:nONoNonO UTC+1] 2012-06-25 01:58:33 PDT
At the moment the new "Join Chat" menu option under Tools uses the letter "O" as its access key. The letter "O" was always used for Options. Instead of using Alt-T+O to go to options, I now how to type Alt-T+O+O+Enter.

Please change the access key of Join Chat to something else, like J, which isn't used in the standard Tools menu...

comm-central/mail/locales/en-US/chrome/messenger/messenger.dtd:
--- <!ENTITY joinChatCmd.accesskey "o">
+++ <!ENTITY joinChatCmd.accesskey "J">
Comment 1 Wayne Mery (:wsmwk, NI for questions) 2012-10-22 08:50:01 PDT
I was just about to file this bug.  It's even more onerous, given that I don't use chat and the menu system insists on honoring access keys for even menuitems that are inactive.
Comment 2 :aceman 2012-10-22 12:44:36 PDT
Created attachment 673973 [details] [diff] [review]
patch

Who wanted to mark a ux-papercut bug as GFB to let it rot till eternity? :)

'J' does not seem to be a good key to underline as the underline vanishes in the sub-baseline part of 'J'. I'll try 't'.
Comment 3 Onno Ekker [:nONoNonO UTC+1] 2012-10-22 12:56:52 PDT
Hmz, there goes my good first bug :~(
The underline doesn't vanish from the J in my Windows 7. Look for instance at View -> Sort by -> _J_unk Status...
Comment 4 :aceman 2012-10-22 13:09:48 PDT
It does not completely vanish, it is just not well visible as the J crosses through it.

Sorry for taking your GFB bug, but you were silent for 4 months:)
You can still take it and finish it.
Comment 5 Blake Winton (:bwinton) (:☕️) 2012-10-29 08:00:37 PDT
Comment on attachment 673973 [details] [diff] [review]
patch

Yeah, I could buy "t".

ui-r=me.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-10-30 07:14:04 PDT
https://hg.mozilla.org/comm-central/rev/31e1452b669b
Comment 7 :aceman 2012-12-09 05:26:43 PST
Comment on attachment 673973 [details] [diff] [review]
patch

[Approval Request Comment]
Regression caused by (bug #): IM landing
User impact if declined: user visible conflict in accesskeys
Testing completed (on c-c, etc.): 
Risk to taking this patch (and alternatives if risky): none, does not even affect localizations.
Comment 8 Mark Banner (:standard8) 2013-01-03 04:16:30 PST
https://hg.mozilla.org/releases/comm-esr17/rev/590426b2cae8

Note You need to log in before you can comment on or make changes to this bug.